Attribute VB_Name = "modWinVer"
  
  ' All Variables MUST be Declared
  Option Explicit
  
  Public OSType As Integer
  Public OSVer As String
  Public OSBuild As String
  Public OSLabel As String
  Public OSTypeLabel As String

Public Sub GetWinVer()
  
  ' OS Types:
  ' 0 = Unknown
  ' 1 = 95 Style
  ' 2 = NT Style
  ' Use the Version to Determine the exact OS
  
  If OSType = 1 Then
    If OSVer = "4.1" Then
      If OSBuild = "1900" Then
        OSLabel = "Windows 98 SRI"
      ElseIf OSBuild = "1998" Then
        OSLabel = "Windows 98 SRII"
      ElseIf OSBuild = "2222" Then
        OSLabel = "Windows 98 SRII - April 1999"
      Else
        OSLabel = "Windows 9x Style - But Can't Pin Point"
      End If
    ElseIf OSVer = "4.9" Then
      If OSBuild = "3000" Then
        OSLabel = "Windows ME"
      Else
        OSLabel = "Windows ME Style - But Can't Pin Point"
      End If
    Else
      OSLabel = "Win9x Style - But Can't Pin Point"
    End If
  ElseIf OSType = 2 Then
    If OSVer = "5" Then
      If OSBuild = "2195" Then
        OSLabel = "Windows 2000 Professional"
      Else
        OSLabel = "Windows 2000 Style - But Can't Pin Point"
      End If
    ElseIf OSVer = "5.01" Then
      If OSBuild = "2600" Then
        OSLabel = "Windows XP Professional"
      Else
        OSLabel = "Windows XP Style - But Can't Pin Point"
      End If
    Else
      OSLabel = "Windows NT Style - But Can't Pin Point"
    End If
  Else
    OSLabel = "MMM... Unknown OS"
  End If

  If OSType = 1 Then
    OSTypeLabel = "9x Platform"
  ElseIf OSType = 2 Then
    OSTypeLabel = "NT Platform"
  Else
    OSTypeLabel = OSType
  End If

End Sub
